package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum OrderStateEnum {
	/**
	 * 采购订单状态: 0_草稿；1_审核中；2_已完成；4_已关闭；
	 */
	DRAFT(0, "草稿"),
	AUDITING(1, "审核中"),
	COMPLETED(2, "已完结"),
	CLOSED(3, "已关闭"),
	;

	@EnumValue
	private final int type;

	private final String message;
}
